QoreSoftBinaryDataType.qc.dox.h
// -*- mode: c++; indent-tabs-mode: nil -*-
namespace DataProvider {
class QoreSoftBinaryDataType : public QoreBinaryDataTypeBase {
public:
constructor(*hash<auto> options) ;
};
};
DataProvider::AbstractDataProviderType::options
hash< auto > options
type options
Definition: AbstractDataProviderType.qc.dox.h:103
DataProvider::QoreBinaryDataTypeBase
describes a data type based on binary types with validation for parsing strings when used with soft t...
Definition: QoreBinaryDataTypeBase.qc.dox.h:28
DataProvider::QoreSoftBinaryDataType
describes a data type based on softbinary with validation for parsing strings
Definition: QoreSoftBinaryDataType.qc.dox.h:31
DataProvider::QoreSoftBinaryDataType::constructor
constructor(*hash< auto > options)
creates the object
DataProvider
Qore AbstractDataField class definition.
Definition: AbstractDataField.qc.dox.h:32